apiVersion: freeleaps.com/v1alpha1
kind: FreeleapsSecret
metadata:
  name: example-secret
  namespace: freeleaps-prod
spec:
  refreshInterval: 3m
  secretStoreRef:
    kind: FreeleapsSecretStore
    name: example-secret-store
  target:
    name: secret-to-be-created
    # Enum: Owner, Merge
    # Default Value: Owner
    # Owner creates the secret and sets .metadata.ownerReference of the resource
    # Merge does not create the secret, but merges in the data fields to the target secret
    creationPolicy: Owner
  data:
    - secretKey: nicolas-username-a
      remoteRef:
        key: username
        type: Secret
    - secretKey: nicolas-username-b
      remoteRef:
        key: username-b
        type: Secret

AzureKeyVaultSecret: username-b (username=nicolas@mathmast.com)

AzureKeyVaultSecret: username (username=nicolas@mathmast.com)
  ^
  |
FreeleapsSecret: example-secret
  |
  v
KubernetesSecret: secret-to-be-created (nicolas-username-a=nicolas@mathmast.com, nicolas-username-b=nicolas@mathmast.com)
